Bug 451279 - "Target display" applied but not saved
Summary: "Target display" applied but not saved
Status: RESOLVED FIXED
Alias: None
Product: systemsettings
Classification: Unclassified
Component: kcm_tablet (show other bugs)
Version: 5.24.2
Platform: openSUSE RPMs Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords: wayland
Depends on:
Blocks:
 
Reported: 2022-03-08 12:34 UTC by postix
Modified: 2022-05-18 14:31 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.24.6


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description postix 2022-03-08 12:34:40 UTC
STEPS TO REPRODUCE
1. Open systemsettings
2. Changed "Target display" from "Follow the active screen" to screen "B"
3. Click apply and close systemsettings
4. Open systemsettings and the tablet tab again

OBSERVED RESULT
The tablet targets screen "B" but systemsettings says "Follow the active screen" again.
On reboot, it indeed "follows the active screen again" and I need to change the settings another time.

SOFTWARE/OS VERSIONS
Operating System: openSUSE Tumbleweed 20220306
KDE Plasma Version: 5.24.2
KDE Frameworks Version: 5.91.0
Qt Version: 5.15.2
Kernel Version: 5.16.11-1-default (64-bit)
Graphics Platform: Wayland
Graphics Processor: AMD Radeon RX 580 Series
Two screens: HDMI and DP (primary)
Comment 1 Bug Janitor Service 2022-05-18 12:12:14 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/kwin/-/merge_requests/2424
Comment 2 David Redondo 2022-05-18 13:46:59 UTC
Git commit d3a37aa9aef58fbaedcef77d2797c22a015dc9c0 by David Redondo.
Committed on 18/05/2022 at 12:50.
Pushed by davidre into branch 'master'.

Update device outputName when setting output
FIXED-IN:5.25.0

M  +2    -0    src/backends/libinput/device.cpp

https://invent.kde.org/plasma/kwin/commit/d3a37aa9aef58fbaedcef77d2797c22a015dc9c0
Comment 3 Nate Graham 2022-05-18 14:30:32 UTC
Git commit 1b96d21507a3b6b0a9ac6eac424d4e4db5602839 by Nate Graham, on behalf of David Redondo.
Committed on 18/05/2022 at 14:30.
Pushed by ngraham into branch 'Plasma/5.24'.

Update device outputName when setting output
FIXED-IN:5.25.0


(cherry picked from commit d3a37aa9aef58fbaedcef77d2797c22a015dc9c0)

M  +2    -0    src/backends/libinput/device.cpp

https://invent.kde.org/plasma/kwin/commit/1b96d21507a3b6b0a9ac6eac424d4e4db5602839